# Responsive pagination

[![PHP from Packagist](https://img.shields.io/packagist/php-v/arxeiss/responsive-pagination)](https://packagist.org/packages/arxeiss/responsive-pagination)
[![Packagist Version](https://img.shields.io/packagist/v/arxeiss/responsive-pagination)](https://packagist.org/packages/arxeiss/responsive-pagination)
[![Travis (.com)](https://img.shields.io/travis/com/arxeiss/responsive-pagination?label=Travis)](https://travis-ci.com/arxeiss/responsive-pagination)
[![Code Climate maintainability](https://img.shields.io/codeclimate/maintainability/arxeiss/responsive-pagination?logo=code-climate)](https://codeclimate.com/github/arxeiss/responsive-pagination)
[![Code Climate coverage](https://img.shields.io/codeclimate/coverage/arxeiss/responsive-pagination?logo=code-climate)](https://codeclimate.com/github/arxeiss/responsive-pagination)
![GitHub](https://img.shields.io/github/license/arxeiss/responsive-pagination)
[![PHP STAN](https://img.shields.io/badge/phpstan-level%208-informational)](https://github.com/phpstan/phpstan)

A Responsive pagination library can generate pagination like many others. But the main goal is to provide **responsive functionality** for hiding and showing some link buttons according to breakpoints.

Responsivity is fully controlled only by your own **CSS classes**, so can be used with Bootstrap, any other framework or custom solution.<br>
It also can be used with any CMS. There is an example with Wordpress.<br>
See [arxeiss.github.io/responsive-pagination](https://arxeiss.github.io/responsive-pagination/).

<p align="center">
<a href="https://github.com/arxeiss/responsive-pagination/blob/master/docs/responzive-pagination-screen.png?raw=true"><img src="https://github.com/arxeiss/responsive-pagination/blob/master/docs/responzive-pagination-screen.png?raw=true" alt="Responsive pagination screenshot" width="300"></a><br>
<em>Click to see full size</em>
</p>

Live usage is available also on my blog [kutac.cz/blog](https://www.kutac.cz/blog?strana=7) *(in Czech language)*.

---

## Installation

```bash
composer require arxeiss/responsive-pagination
```

## Usage & examples

See [arxeiss.github.io/responsive-pagination](https://arxeiss.github.io/responsive-pagination/) for more usage and code examples.

Or see [unit tests](https://github.com/arxeiss/responsive-pagination/tree/master/tests/Units) if you want to dig deeper.

## Contribution

Every idea is welcome. Open an issue or pull request
